Prev |  | Next

# FcGetDefaultLangs

## Name

FcGetDefaultLangs -- Get the default languages list

## Synopsis

    #include <fontconfig/fontconfig.h>

``FcStrSet * FcGetDefaultLangs`(void);`

## Description

Returns a string set of the default languages according to the environment variables on the system. This function looks for them in order of FC_LANG, LC_ALL, LC_CTYPE and LANG then. If there are no valid values in those environment variables, "en" will be set as fallback.

## Since

version 2.9.91

Prev | Home | Next
FcLangSetHasLang | Up | FcLangSetGetLangs